Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229311 - Cannot use pulseaudio as audio sink? anything wrong here?
Summary: Cannot use pulseaudio as audio sink? anything wrong here?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-pulseaudio
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 08:14 UTC by Yijun Yuan
Modified: 2018-04-11 10:09 UTC (History)
3 users (show)

Fixed In Version: 0.10.0-8.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-03 13:47:33 UTC


Attachments (Terms of Use)

Description Yijun Yuan 2007-02-20 08:14:16 UTC
Description of problem:
I installed pulseaudio and have adjusted gstreamer-properties to use it.
Rhythmbox cannot play any files now. Kill pulseaudio, then rhythmbox could play
well. But as pulseaudio starts with gnome login, and rhythmbox uses gstreamer,
there should be something wrong with rhythmbox. (I can use Exaile from FE to
play the same tracks. Exaile uses gstreamer too, and PulseAudio manager also
detects gstreamer client.)

Version-Release number of selected component (if applicable):
0.9.7-11.fc7


How reproducible:
every time


Steps to Reproduce:
1. install pulseaudio, adjust gstreamer-properties to use pulseaudio sink
2. play anything in rhythmbox
3.
  
Actual results:
immediately stops

Expected results:
playing as normal

Additional info:

Comment 1 Bill Nottingham 2007-03-02 17:34:02 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 2 Bastien Nocera 2007-04-13 16:30:08 UTC
I can't even play anything with Pulseaudio itself, so I won't be of much help.
Reassigning to the GStreamer Pulseaudio plugin, so that we can get some debug
info for the problem.

Comment 3 Lennart Poettering 2007-05-09 14:09:26 UTC
Please post the output of "pactl list" here, and what rhythmbox writes to STDERR
when this problem happens.

Comment 4 Yijun Yuan 2007-06-03 13:45:16 UTC
Works now. Run pacmd "list-clients" can find rhythmbox/gstreamer, and sound is
OK. Please close, thank you!

[yuan@mstar ~]$ pactl list |grep rhythmbox
Name: gstreamer[rhythmbox]



Note You need to log in before you can comment on or make changes to this bug.